/**
 * @file Lance le serveur configuré dans {@link server.ts}
 * @author manifold
 */
import dotenv from 'dotenv'; //hawkspar->manifold VSCode râle ici pr moi
dotenv.config();
import app from './app';
import colors from 'colors';

const port = process.env.PORT || 3000;
const hostnameConfigMap = {
    'development': 'localhost',
    'staging': '0.0.0.0',
    'production': '0.0.0.0'
};
const hostname = process.env.HOST || hostnameConfigMap[process.env.TARGET_ENV];

app.listen(port, () => {
    console.log(colors.blue("🚀  Server ready on %s:%s."), hostname, port);
});
